PPP problem in installation

I recently removed an older version of linux and installed a new distribution namely fedora linux. I am having trouble connecting the internet through PPP after that. The connection terminates during negotiation. Checking the ppp debug message show that PPP is not able to find module ppp-compress-21....

What exactly is happening? What does the module ppp-compress-21 and why am I not able to connect to internet?
harisnshawAsked:
Who is Participating?
 
owensleftfootConnect With a Mentor Commented:
As far as I know, all you have to do is enable ppp support - all the relevant modules will be compiled automatically. I assume its under the network subsection.
0
 
owensleftfootCommented:
ppp-compress is one of the kernel modules needed for ppp connections. I dont know why your fedora installation doesnt include this module - Did you do an upgrade from an older version? An upgrade will only update packages already installed.
0
 
harisnshawAuthor Commented:
No I did a fresh install. Can u tell me what options should I enable in make menuconfig to get this module... in ppp section the only compression stuff I see is BSD compression and that is not enabled
0
Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.

All Courses

From novice to tech pro — start learning today.